Main Page Class List Class Members

# Nv::Blast::Serialization::TkAsset::TkAsset::Builder Class Reference

`#include <NvBlastExtTkSerialization.capn.h>`

List of all members.

## Public Types
typedef TkAsset | Builds
## Public Member Functions
void | adoptAssetLL (::capnp::Orphan< ::Nv::Blast::Serialization::Asset > &&value)
void | adoptJointDescs (::capnp::Orphan< ::capnp::List< ::Nv::Blast::Serialization::TkAssetJointDesc >> &&value)
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::Asset > | disownAssetLL ()
inline::Nv::Blast::Serialization::Asset::Builder | getAssetLL ()
inline::capnp::List < ::Nv::Blast::Serialization::TkAssetJointDesc > ::Builder | getJointDescs ()
bool | hasAssetLL ()
bool | hasJointDescs ()
inline::Nv::Blast::Serialization::Asset::Builder | initAssetLL ()
inline::capnp::List < ::Nv::Blast::Serialization::TkAssetJointDesc > ::Builder | initJointDescs (unsigned int size)
| operator Reader () const
void | setAssetLL (::Nv::Blast::Serialization::Asset::Reader value)
void | setJointDescs (::capnp::List< ::Nv::Blast::Serialization::TkAssetJointDesc >::Reader value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const

## Member Typedef Documentation

typedef TkAsset Nv::Blast::Serialization::TkAsset::TkAsset::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::TkAsset::TkAsset::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::TkAsset::TkAsset::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::TkAsset::TkAsset::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

void Nv::Blast::Serialization::TkAsset::TkAsset::Builder::adoptAssetLL | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::Asset > && | value | ) | `[inline]`

void Nv::Blast::Serialization::TkAsset::TkAsset::Builder::adoptJointDescs | ( | ::capnp::Orphan< ::capnp::List< ::Nv::Blast::Serialization::TkAssetJointDesc >> && | value | ) | `[inline]`

Reader Nv::Blast::Serialization::TkAsset::TkAsset::Builder::asReader | ( |  | ) | const`[inline]`

capnp::Orphan<::Nv::Blast::Serialization::Asset > Nv::Blast::Serialization::TkAsset::TkAsset::Builder::disownAssetLL | ( |  | ) | `[inline]`

Nv::Blast::Serialization::Asset::Builder Nv::Blast::Serialization::TkAsset::TkAsset::Builder::getAssetLL | ( |  | ) | `[inline]`

capnp::List<::Nv::Blast::Serialization::TkAssetJointDesc >::Builder Nv::Blast::Serialization::TkAsset::TkAsset::Builder::getJointDescs | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::TkAsset::TkAsset::Builder::hasAssetLL | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::TkAsset::TkAsset::Builder::hasJointDescs | ( |  | ) | `[inline]`

Nv::Blast::Serialization::Asset::Builder Nv::Blast::Serialization::TkAsset::TkAsset::Builder::initAssetLL | ( |  | ) | `[inline]`

capnp::List<::Nv::Blast::Serialization::TkAssetJointDesc >::Builder Nv::Blast::Serialization::TkAsset::TkAsset::Builder::initJointDescs | ( | unsigned int | size | ) | `[inline]`

Nv::Blast::Serialization::TkAsset::TkAsset::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::TkAsset::TkAsset::Builder::setAssetLL | ( | ::Nv::Blast::Serialization::Asset::Reader | value | ) | `[inline]`

void Nv::Blast::Serialization::TkAsset::TkAsset::Builder::setJointDescs | ( | ::capnp::List< ::Nv::Blast::Serialization::TkAssetJointDesc >::Reader | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::TkAsset::TkAsset::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::TkAsset::TkAsset::Builder::totalSize | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtTkSerialization.capn.h